summaryrefslogtreecommitdiff
path: root/eclass/mate.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2020-08-25 10:45:55 +0100
committerV3n3RiX <venerix@redcorelinux.org>2020-08-25 10:45:55 +0100
commit3cf7c3ef441822c889356fd1812ebf2944a59851 (patch)
treec513fe68548b40365c1c2ebfe35c58ad431cdd77 /eclass/mate.eclass
parent05b8b0e0af1d72e51a3ee61522941bf7605cd01c (diff)
gentoo resync : 25.08.2020
Diffstat (limited to 'eclass/mate.eclass')
-rw-r--r--eclass/mate.eclass15
1 files changed, 13 insertions, 2 deletions
diff --git a/eclass/mate.eclass b/eclass/mate.eclass
index db511aedb1f1..d7dd2dbceec0 100644
--- a/eclass/mate.eclass
+++ b/eclass/mate.eclass
@@ -29,7 +29,8 @@ esac
# - "yes": will run prune_libtool_files --modules
# - If it is not set, it will run prune_libtool_files
# MATE_LA_PUNT is a stub to GNOME2_LA_PUNT
-GNOME2_LA_PUNT=${MATE_LA_PUNT:-""}
+MATE_LA_PUNT=${MATE_LA_PUNT:-""}
+GNOME2_LA_PUNT="${MATE_LA_PUNT}"
inherit gnome2 autotools mate-desktop.org
@@ -115,7 +116,17 @@ mate_src_prepare() {
# MATE specific configure handling
# Stub to gnome2_src_configure()
mate_src_configure() {
- gnome2_src_configure "$@"
+
+ local mateconf=()
+
+ # Pass --disable-static whenever possible
+ if ! use_if_iuse static-libs; then
+ if grep -q "enable-static" "${ECONF_SOURCE:-.}"/configure; then
+ mateconf+=( --disable-static )
+ fi
+ fi
+
+ gnome2_src_configure "${mateconf[@]}" "$@"
}
# @FUNCTION: mate_src_install